
Application: gvSIG desktop - gvSIG bugs #4239
Webmaps tab is empty in Add layer
06/22/2016 05:31 PM - Antonio Falciano

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category:
Target version: 2.3.0-2437
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2430 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: webmaps Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

When clicking on the "Webmaps" tab in the "Add layer" window, it is shown as empty and an ArrayIndexOutOfBoundsException
occurs.

Associated revisions
Revision 15 - 06/28/2016 09:11 AM - Daniel Martinez

refs #4239 Webmaps tab is empty in Add layer: This happens when there is not a webmap service installed. Now a message is displayed explaining
this.

Revision 17 - 07/04/2016 02:43 PM - Daniel Martinez

refs #4239 Webmaps tab is empty in Add layer: Updated to last org.gvsig.desktop version

Revision 22 - 07/06/2016 01:13 PM - Daniel Martinez

refs #4239 Webmaps tab is empty in Add layer: Google and Bing Maps needed not implemented methods inherited by DynObject. Updated to the
same org.gvsig.desktop version that webmaps.

Revision 26 - 07/06/2016 01:59 PM - Daniel Martinez

refs #4239 Webmaps tab is empty in Add layer: updated SCM tag in pom.xml with correct routes.

Revision 28 - 07/07/2016 09:34 AM - Daniel Martinez

refs #4239 Webmaps tab is empty in Add layer: corrected updated pom.xml

Revision 30 - 07/07/2016 09:59 AM - Daniel Martinez

refs #4239 Webmaps tab is empty in Add layer: Changed pom.xml's versions to 1.0.0-SNAPSHOT again

05/18/2024 1/2



History
#1 - 06/24/2016 10:57 AM - Joaquín  del Cerro Murciano
- Assignee set to Daniel Martinez

#2 - 06/28/2016 09:13 AM - Daniel Martinez
- % Done changed from 0 to 100
- Status changed from New to Fixed

This happens when webmaps is intalled, but not a webmap service (Google Maps or Bing Maps). Now a message is displayed explaining this.

#3 - 06/28/2016 11:55 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2434  (rev. org.gvsig.desktop-2.0.140)

#4 - 07/02/2016 08:09 PM - Antonio Falciano
- Target version changed from 2.3.0-2434  (rev. org.gvsig.desktop-2.0.140) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Fixed to New

It returns a java.lang.ArrayIndexOutOfBoundsException also in build 2434. No message has been displayed.

#5 - 07/04/2016 02:53 PM - Daniel Martinez

Changes were comitted but were not compiled for this version. A request to add the new compiled version for the next build has been opened to
Joaquin: #4270

#6 - 07/08/2016 04:50 PM - Antonio Falciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2437
- Status changed from New to Closed

I've just updated the packages form the testing repository in build 2436 and the issue is disappeared, so I close the ticket.
